Find attachments by ids

POST/api/integration/attachment/find-by-ids

Request

cURL
curl -X POST "https://dev.integration.cl.sodtrack-shared.sodtrack.com/api/integration/attachment/find-by-ids" \
  -H "Authorization: Bearer $SODTRACK_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Origin: dev.api.cl.sodtrack.sodtrack.com" \
  -d '{
  "attachmentIds": [
    21
  ]
}'

Base URL: https://dev.integration.cl.sodtrack-shared.sodtrack.com · other environments

Headers

NameTypeDescription
Originstring
dev.api.cl.sodtrack.sodtrack.com

Request body

application/json
{
  "attachmentIds": [
    21
  ]
}

Responses

Create Lead
{
  "id": 4,
  "customer_id": 15
}

Error responses for this endpoint follow the shared error reference.

Field Definitions

Top-level

FieldTypeRequiredDescription
customerobjectBasic customer information.
serviceIdnumberID of the service associated with the lead.
salesChannelIdnumberID of the originating sales channel.
qualifyingQuestionsarrayAnswers to the lead’s qualifying questions.
addressDataobjectCustomer address data; required if the service variant must be performed at the customer location.
dynamicFormarrayForms (and values) to associate with the lead creation.
referencestringOptional reference identifier

customer

FieldTypeRequiredDescription
customer.namestringCustomer first name.
customer.lastNamestringCustomer last name.
customer.phoneNumberstringClient phone number including “+” and country code.
customer.emailstringCustomer email.
customer.identificationNumberstringCustomer fiscal/tax ID.
customer.identificationNumberCountrystringCountry code in ISO‑2 format (e.g., US, CL).
customer.referencestringOptional reference identifier

qualifyingQuestions

FieldTypeRequiredDescription
qualifyingQuestions[].fieldReferencenumberID of the question to be answered.
qualifyingQuestions[].valuestringAnswer to the question.

addressData

FieldTypeRequiredDescription
addressData.extra_infostringAdditional info to locate the address (e.g., “apt 34”, “office 83”).
addressData.addressstringWritten customer address.
addressData.coordinateobjectGeolocation of the customer address.
addressData.coordinate.latnumberLatitude.
addressData.coordinate.lngnumberLongitude.

dynamicForm

FieldTypeRequiredDescription
dynamicForm[].externalReferencestringReference of the form to be completed.
dynamicForm[].valuesarrayArray of responses for that form.
dynamicForm[].values[].FieldReferencestringDynamic Form field reference
dynamicForm[].values[].valuestringField value.